Skip to content
Myra Online Help Updated · 21 Aug 2026

Set up Myra protection

Note

If you manually store an SSL/TLS certificate for an encrypted connection between the visitor and Myra and between Myra and your infrastructure without Myra Certificate Management, the SSL/TLS certificate must be uploaded before the traffic is redirected to Myra. Otherwise, your website will be temporarily unavailable.

Note

If you upload an SSL/TLS certificate manually in the Myra App, you must also load a certificate on your infrastructure. Otherwise, encrypted communication between Myra and your infrastructure will not work.

Note

If you have booked Myra Certificate Management, please note the following points:

  • If Myra is the name server, an SSL/TLS certificate is only provided once a name server record for Myra has been created on your side.
  • If you are the name server, a valid ACME challenge must be created on your side to provide the SSL/TLS certificate.

For more information, see Myra is not the name server..

Before your websites are protected by Myra and you can use all the features and settings of the Myra App, you must add your domains and a valid SSL/TLS certificate in the Myra App.

Proceed as follows to set up Myra protection for your first domain:

  • Set up the API, see Getting access to APIv2.
  • Add a new domain, see endpoint POST /domains.

    Note

    At least the name of the domain with the attribute name must be passed in the body.

    Note

    If you set the value true for the attributes autoDns, Myra will search for existing DNS entries based on a list of common subdomain names and save the results in the DNS settings.

  • Add one or more DNS entries.

    • If you enabled automatic search for DNS entries when creating the new domain, the first DNS entries are already available.

      In this case, use GET /domain/{domainId}/dns-records to get a list of all existing DNS entries.

      Check all entries and change them if necessary via PUT /domain/{domainId}/dns-records/{id}.

    • If you did not enable automatic search for DNS records when creating the new domain, create one or more DNS records for the domain, see endpoint POST /domain/{domainId}/dns-records.

      Note

      The attribute active enables protection by Myra and must be set to false. Myra protection for the DNS record is set to true and thereby enabled only later.

  • Add an SSL/TLS certificate.

    • If you have booked Myra Certificate Management, see Myra Certificate Management.
    • If you have not booked Myra Certificate Management, add a new SSL/TLS certificate for the created DNS records, see endpoint POST /domain/{domainId}/certificates.
  • Only if you have booked Myra Certificate Management:

    Check whether the SSL/TLS certificates exist, see endpoint GET /domain/{domainId}/ssl/certificates.

    Note

    If no SSL/TLS certificate has been created, the SSL/TLS certificates view is empty.

    Check the following steps:

    • Wait a little longer and check the SSL/TLS certificates view again later.
    • If you are the name server, check whether the ACME challenges have been generated and created correctly, see Myra is not the name server..
    • If Myra is the name server, contact Myra Support.
  • Redirect the traffic to Myra, see Redirecting Traffic to Myra.

  • Enable Myra protection in the created DNS records by changing the value of the attribute active to true, see endpoint PUT /domain/{domainId}/dns-records/{id}.
  • Myra protection is enabled for the corresponding domain or subdomain.